<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/HescoBox.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d41/_hesco_box_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">HescoBox.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dd/d41/_hesco_box_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>HescoBox <span class="keyword">extends</span> <a class="code hl_class" href="../../d7/d5d/class_inventory___base.html">Inventory_Base</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a7377d31b479c2f7a16740b429bf5daab">    3</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d0/d4a/_trap___trip_wire_8c.html#a25611e326fe1b4ab140780b9d9460044">FOLDED</a>            = 0;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a6bfedea62457ff87cdb387dc9802fe9d">    4</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> UNFOLDED          = 1;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#ac553c3cba8097bd3a154b1be2f30aa2f">    5</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> FILLED            = 2;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a1603d5884a01ef14327e396394de5a25">    6</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> PERCENTUAL_DAMAGE = 1;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a5763220a7fd6003b80592fa92e14a726">    8</a></span>    ref Timer                       <a class="code hl_variable" href="../../d7/d5d/class_inventory___base.html#a5763220a7fd6003b80592fa92e14a726">m_Timer</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#ab276371c303e52e9fefa7040349b42be">    9</a></span>    ref <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d89/class_effect_sound.html">EffectSound</a>       <a class="code hl_variable" href="../../d7/d5d/class_inventory___base.html#ab276371c303e52e9fefa7040349b42be">m_DeployLoopSound</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a6f0c61ae43c196849f24b6691d9f13d5">   11</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d7/d5d/class_inventory___base.html#a6f0c61ae43c196849f24b6691d9f13d5">m_State</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a64c976dc211e9fd7145aba4af4fbb712">   13</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a64c976dc211e9fd7145aba4af4fbb712">HescoBox</a>()</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <a class="code hl_variable" href="../../d5/d6b/_stamina_handler_8c.html#aff669510956ec2c2cc6c60ed37ca7d63">m_State</a> = <a class="code hl_variable" href="../../d7/d5d/class_inventory___base.html#a7377d31b479c2f7a16740b429bf5daab">FOLDED</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="comment">//synchronized variables</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        RegisterNetSyncVariableInt( <span class="stringliteral">&quot;m_State&quot;</span>, <a class="code hl_variable" href="../../d0/d4a/_trap___trip_wire_8c.html#a25611e326fe1b4ab140780b9d9460044">FOLDED</a>, FILLED );</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        RegisterNetSyncVariableBool(<span class="stringliteral">&quot;m_IsSoundSynchRemote&quot;</span>);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        RegisterNetSyncVariableBool(<span class="stringliteral">&quot;m_IsDeploySound&quot;</span>);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a0526bb4680a95faf4ef65362839e864e">   23</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a0526bb4680a95faf4ef65362839e864e">~HescoBox</a>()</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_class" href="../../d2/d03/class_s_effect_manager.html">SEffectManager</a>.<a class="code hl_function" href="../../d2/d03/class_s_effect_manager.html#aec7ef95de317ab1011f04c6c5c496248">DestroyEffect</a>( <a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#a045f8057c23e1381de727ba2b84d7222">m_DeployLoopSound</a> );</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a040235311cd5f55e7e759ed6332e2cad">   28</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a040235311cd5f55e7e759ed6332e2cad">HasProxyParts</a>()</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a5d8e112fe75483587a8fb075f326da23">   33</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a5d8e112fe75483587a8fb075f326da23">CanPutIntoHands</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent )</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">if</span>( !super.CanPutIntoHands( parent ) )</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a1fd22ae03cc5b955c1c5a32f3fbe315d">CanBeManipulated</a>();</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a848487006ac34ff822035ca4fea0bb13">   42</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a848487006ac34ff822035ca4fea0bb13">Synchronize</a>()</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        SetSynchDirty();</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a8fcce0543c647867bc5ac384d135e5e3">   47</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a8fcce0543c647867bc5ac384d135e5e3">OnVariablesSynchronized</a>()</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        super.OnVariablesSynchronized();</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="comment">//refresh visuals</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#aa3df06207ce0e9450b7f3a648d785afd">RefreshVisuals</a>();</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>                </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#ad8e3dac9c85d36fb0fb0aae911640de7">IsDeploySound</a>() )</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#aba2d631a211d0bcf638311fe3507a82b">PlayDeploySound</a>();</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>                </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a28cc789c567c999c2c94d87f6006e16a">CanPlayDeployLoopSound</a>() )</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a16482087634df6b3a49d0d766a55072f">PlayDeployLoopSound</a>();</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>                    </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#a045f8057c23e1381de727ba2b84d7222">m_DeployLoopSound</a> &amp;&amp; !<a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a28cc789c567c999c2c94d87f6006e16a">CanPlayDeployLoopSound</a>() )</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a378d60b17345118ff452f2bb626cb9ee">StopDeployLoopSound</a>();</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#aa3df06207ce0e9450b7f3a648d785afd">   70</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#aa3df06207ce0e9450b7f3a648d785afd">RefreshVisuals</a>()</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    {</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span> </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#ab2d29f1100dbebcf9499825c744f3f4b">   74</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#ab2d29f1100dbebcf9499825c744f3f4b">GetState</a>()</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    {</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d7/d5d/class_inventory___base.html#a6f0c61ae43c196849f24b6691d9f13d5">m_State</a>;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a13729b5326e35f654f27b9d09de31695">   79</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a13729b5326e35f654f27b9d09de31695">SetState</a>( <span class="keywordtype">int</span> state )</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <a class="code hl_variable" href="../../d5/d6b/_stamina_handler_8c.html#aff669510956ec2c2cc6c60ed37ca7d63">m_State</a> = state;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span> </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a14885f6e50a8cd3c455c02c458b6e5ee">   84</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a14885f6e50a8cd3c455c02c458b6e5ee">CanBeFilledAtPosition</a>( <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> position )</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    {</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordtype">string</span> surface_type;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aa5228e7728b05de27b58e54bbf2995db">SurfaceGetType</a>( position[0], position[2], surface_type );</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a7335240a0050f90194879c87f728ce0d">IsSurfaceDigable</a>(surface_type);</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span> </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a1fd22ae03cc5b955c1c5a32f3fbe315d">   92</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a1fd22ae03cc5b955c1c5a32f3fbe315d">CanBeManipulated</a>()</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    {</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#ab2d29f1100dbebcf9499825c744f3f4b">GetState</a>() == <a class="code hl_variable" href="../../d0/d4a/_trap___trip_wire_8c.html#a25611e326fe1b4ab140780b9d9460044">FOLDED</a> )</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        {</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        }</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        {</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    }</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a1772f811f37cb8588580d4fc4d567a16">  104</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a1772f811f37cb8588580d4fc4d567a16">Fold</a>()</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    {</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        this.ShowSelection( <span class="stringliteral">&quot;inventory&quot;</span> );</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        this.HideSelection( <span class="stringliteral">&quot;placing&quot;</span> );</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        this.HideSelection( <span class="stringliteral">&quot;filled&quot;</span> );</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a13729b5326e35f654f27b9d09de31695">SetState</a>( <a class="code hl_variable" href="../../d0/d4a/_trap___trip_wire_8c.html#a25611e326fe1b4ab140780b9d9460044">FOLDED</a> );</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a8e35a699124bd78bcabe3616a1a2f284">RefreshPhysics</a>();</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        {</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>            <a class="code hl_function" href="../../dd/d93/_object_8c.html#a102e048d433b15db2c708466dea213f6">SetAllowDamage</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>            <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a848487006ac34ff822035ca4fea0bb13">Synchronize</a>();</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>            <span class="keywordtype">float</span> fold_damage = ( <a class="code hl_function" href="../../dd/d93/_object_8c.html#af52e22bb2e3b1317cad039ef707341ae">GetMaxHealth</a>( <span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;&quot;</span> ) / 100 ) * PERCENTUAL_DAMAGE;</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>            <a class="code hl_function" href="../../dd/d93/_object_8c.html#a929ad754f98dcd6c9d8a5397f7fda5b6">DecreaseHealth</a>( <span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;&quot;</span>, fold_damage );</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        }</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    }</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span> </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a5eb214d0667f813974f870e243ae5aa3">  122</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a5eb214d0667f813974f870e243ae5aa3">Unfold</a>()</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    {</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        this.HideSelection( <span class="stringliteral">&quot;inventory&quot;</span> );</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        this.ShowSelection( <span class="stringliteral">&quot;placing&quot;</span> );</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        this.HideSelection( <span class="stringliteral">&quot;filled&quot;</span> );</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a13729b5326e35f654f27b9d09de31695">SetState</a>( UNFOLDED );</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a8e35a699124bd78bcabe3616a1a2f284">RefreshPhysics</a>();</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        {</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>            <a class="code hl_function" href="../../dd/d93/_object_8c.html#a102e048d433b15db2c708466dea213f6">SetAllowDamage</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>            <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a848487006ac34ff822035ca4fea0bb13">Synchronize</a>();</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>            <span class="keywordtype">float</span> unfold_damage = ( <a class="code hl_function" href="../../dd/d93/_object_8c.html#af52e22bb2e3b1317cad039ef707341ae">GetMaxHealth</a>( <span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;&quot;</span> ) / 100 ) * PERCENTUAL_DAMAGE;</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>            <a class="code hl_function" href="../../dd/d93/_object_8c.html#a929ad754f98dcd6c9d8a5397f7fda5b6">DecreaseHealth</a>( <span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;&quot;</span>, unfold_damage );    </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        }</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    }</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span> </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#ae792aa17e893efc60fb4d0690f425988">  140</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#ae792aa17e893efc60fb4d0690f425988">EEItemLocationChanged</a> (notnull <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> oldLoc, notnull <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> newLoc)</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    {</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        super.EEItemLocationChanged (oldLoc, newLoc);</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        </div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        <span class="comment">//RefreshPhysics();</span></div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    }</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span> </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a8e35a699124bd78bcabe3616a1a2f284">  147</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a8e35a699124bd78bcabe3616a1a2f284">RefreshPhysics</a>()</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    {</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        super.RefreshPhysics();</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        <span class="keywordflow">if</span> ( <span class="keyword">this</span>  &amp;&amp;  !<a class="code hl_function" href="../../dd/d93/_object_8c.html#acb6b4cdbf129700cdb3f3103e8641e24">ToDelete</a>() )</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        {</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>            <a class="code hl_function" href="../../dd/d93/_object_8c.html#ac654369164252566a49639d8d4e49bf3">RemoveProxyPhysics</a>( <span class="stringliteral">&quot;inventory&quot;</span> );</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>            <a class="code hl_function" href="../../dd/d93/_object_8c.html#ac654369164252566a49639d8d4e49bf3">RemoveProxyPhysics</a>( <span class="stringliteral">&quot;placing&quot;</span> );</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>            <a class="code hl_function" href="../../dd/d93/_object_8c.html#ac654369164252566a49639d8d4e49bf3">RemoveProxyPhysics</a>( <span class="stringliteral">&quot;filled&quot;</span> );</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>            </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>            <span class="keywordtype">int</span> state = <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#ab2d29f1100dbebcf9499825c744f3f4b">GetState</a>();</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>            </div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>            <span class="keywordflow">switch</span> (state)</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>            {</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>                <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d7/d5d/class_inventory___base.html#a6bfedea62457ff87cdb387dc9802fe9d">UNFOLDED</a>:</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>                    <span class="comment">//ShowSelection( &quot;placing&quot; );</span></div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>                    <a class="code hl_function" href="../../dd/d93/_object_8c.html#a1e9dff40d480cad820892146a91dc68e">AddProxyPhysics</a>( <span class="stringliteral">&quot;placing&quot;</span> ); </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>                    </div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>                <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>                </div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>                <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d7/d5d/class_inventory___base.html#a7377d31b479c2f7a16740b429bf5daab">FOLDED</a>:</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>                    <a class="code hl_function" href="../../dd/d93/_object_8c.html#a1e9dff40d480cad820892146a91dc68e">AddProxyPhysics</a>( <span class="stringliteral">&quot;inventory&quot;</span> ); </div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>                <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>                </div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>                <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d7/d5d/class_inventory___base.html#ac553c3cba8097bd3a154b1be2f30aa2f">FILLED</a>:</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>                    <a class="code hl_function" href="../../dd/d93/_object_8c.html#a1e9dff40d480cad820892146a91dc68e">AddProxyPhysics</a>( <span class="stringliteral">&quot;filled&quot;</span> ); </div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>                <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>            }</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        }</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>    }</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span> </div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a0ad6193cf9919058ae4248c4985b067c">  178</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a0ad6193cf9919058ae4248c4985b067c">Fill</a>()</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    {</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>        this.HideSelection( <span class="stringliteral">&quot;inventory&quot;</span> );</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        this.HideSelection( <span class="stringliteral">&quot;placing&quot;</span> );</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>        this.ShowSelection( <span class="stringliteral">&quot;filled&quot;</span> );</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>        </div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>        <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a13729b5326e35f654f27b9d09de31695">SetState</a>( FILLED );</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>        <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a8e35a699124bd78bcabe3616a1a2f284">RefreshPhysics</a>();</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        </div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        {</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>            <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a848487006ac34ff822035ca4fea0bb13">Synchronize</a>();</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>            <a class="code hl_function" href="../../dd/d93/_object_8c.html#a929ad754f98dcd6c9d8a5397f7fda5b6">DecreaseHealth</a>( <span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;&quot;</span>, 5 ); <span class="comment">//TODO Daniel implement soft skill bonus via useraction</span></div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>            <a class="code hl_function" href="../../dd/d93/_object_8c.html#a102e048d433b15db2c708466dea213f6">SetAllowDamage</a>(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        }</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>    }</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>    </div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a96152d687d0418546cb1032a1100b10c">  195</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a96152d687d0418546cb1032a1100b10c">OnStoreSave</a>(<a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsWriteContext</a> ctx)</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>    {   </div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>        super.OnStoreSave(ctx);</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        </div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        <span class="comment">// Save state</span></div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>        ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Write</a>( <a class="code hl_variable" href="../../d5/d6b/_stamina_handler_8c.html#aff669510956ec2c2cc6c60ed37ca7d63">m_State</a> );</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>    }</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span> </div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a4c43323490d8b91830f823f96a67582a">  203</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a4c43323490d8b91830f823f96a67582a">OnStoreLoad</a>(<a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsReadContext</a> ctx, <span class="keywordtype">int</span> version)</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>    {   </div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        <span class="keywordflow">if</span> ( !super.OnStoreLoad(ctx, version) )</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>        </div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>        <span class="comment">// Load folded/unfolded state</span></div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>        <span class="keywordtype">int</span> state = <a class="code hl_variable" href="../../d7/d5d/class_inventory___base.html#a7377d31b479c2f7a16740b429bf5daab">FOLDED</a>;</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>        <span class="keywordflow">if</span> ( !ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Read</a>(state) )</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>            state = <a class="code hl_variable" href="../../d7/d5d/class_inventory___base.html#a7377d31b479c2f7a16740b429bf5daab">FOLDED</a>;</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>        </div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>        <span class="keywordflow">switch</span> (state)</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>        {</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>            <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d7/d5d/class_inventory___base.html#a7377d31b479c2f7a16740b429bf5daab">FOLDED</a>:</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>            {</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>                <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a1772f811f37cb8588580d4fc4d567a16">Fold</a>();</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>            }</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>            <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d7/d5d/class_inventory___base.html#a6bfedea62457ff87cdb387dc9802fe9d">UNFOLDED</a>:</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>            {</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>                <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a5eb214d0667f813974f870e243ae5aa3">Unfold</a>();</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>            }</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>            <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d7/d5d/class_inventory___base.html#ac553c3cba8097bd3a154b1be2f30aa2f">FILLED</a>:</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>            {</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>                <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a0ad6193cf9919058ae4248c4985b067c">Fill</a>();</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>            }</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>        }</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>    }</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>    </div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>    <span class="comment">//================================================================</span></div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>    <span class="comment">// ADVANCED PLACEMENT</span></div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>    <span class="comment">//================================================================</span></div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>    </div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a2ca4214d2c268fca1d5cee039362f864">  238</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a2ca4214d2c268fca1d5cee039362f864">OnPlacementComplete</a>( Man player, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> position = <span class="stringliteral">&quot;0 0 0&quot;</span>, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> orientation = <span class="stringliteral">&quot;0 0 0&quot;</span> )</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>    {</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>        super.OnPlacementComplete( player, position, orientation );</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>        </div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>        {</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>            <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a5eb214d0667f813974f870e243ae5aa3">Unfold</a>();</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>            </div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>            <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a0574524e0d80c1c2eced4a562a4e3e47">SetIsDeploySound</a>( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>        }</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>    }</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>        </div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a42ae7353a746c59b8584bc6322b8c66b">  250</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a42ae7353a746c59b8584bc6322b8c66b">IsDeployable</a>()</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>    {</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>    }</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span> </div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a9ef11033331260ecdc4634d9fed6cdca">  255</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a9ef11033331260ecdc4634d9fed6cdca">GetDeploySoundset</a>()</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>    {</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;placeHescoBox_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>    }</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>    </div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#ae19186b877d20ff2492a97c51bdf18f8">  260</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#ae19186b877d20ff2492a97c51bdf18f8">GetLoopDeploySoundset</a>()</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>    {</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;hescobox_deploy_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>    }</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>    </div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a16482087634df6b3a49d0d766a55072f">  265</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a16482087634df6b3a49d0d766a55072f">PlayDeployLoopSound</a>()</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>    {       </div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer() )</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>        {       </div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>            <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#a045f8057c23e1381de727ba2b84d7222">m_DeployLoopSound</a> || !<a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#a045f8057c23e1381de727ba2b84d7222">m_DeployLoopSound</a>.<a class="code hl_function" href="../../d9/d89/class_effect_sound.html#abf2e5207cf74b01295801ff9cbc6f7cd">IsSoundPlaying</a>() )</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>            {</div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span>                <a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#a045f8057c23e1381de727ba2b84d7222">m_DeployLoopSound</a> = <a class="code hl_class" href="../../d2/d03/class_s_effect_manager.html">SEffectManager</a>.<a class="code hl_function" href="../../d2/d03/class_s_effect_manager.html#aa05a7b24ec51456db8c32cf2e4b099ef">PlaySound</a>( <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#ae19186b877d20ff2492a97c51bdf18f8">GetLoopDeploySoundset</a>(), <a class="code hl_variable" href="../../d3/d3a/_underground_area_loader_8c.html#af4b5180d61f839c99de2d15fdcda4568">GetPosition</a>() );</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>            }</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>        }</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>    }</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>    </div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#a378d60b17345118ff452f2bb626cb9ee">  276</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#a378d60b17345118ff452f2bb626cb9ee">StopDeployLoopSound</a>()</div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>    {</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer() )</div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>        {   </div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>            <a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#a045f8057c23e1381de727ba2b84d7222">m_DeployLoopSound</a>.<a class="code hl_function" href="../../d9/d89/class_effect_sound.html#aba775f922c1ae706e7ac100750786cff">SetSoundFadeOut</a>(0.5);</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span>            <a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#a045f8057c23e1381de727ba2b84d7222">m_DeployLoopSound</a>.<a class="code hl_function" href="../../d9/d89/class_effect_sound.html#afb3e761198a4167f611442d60925e1e7">SoundStop</a>();</div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>        }</div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span>    }</div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span>    </div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno"><a class="line" href="../../d7/d5d/class_inventory___base.html#ad80815bc032e707768f0b716d175b1f1">  285</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d5d/class_inventory___base.html#ad80815bc032e707768f0b716d175b1f1">SetActions</a>()</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span>    {</div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span>        super.SetActions();</div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span>        </div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d8/d94/class_action_toggle_place_object.html">ActionTogglePlaceObject</a>);</div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../dd/d56/class_action_fold_object.html">ActionFoldObject</a>);</div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_function" href="../../dc/d59/_action_deploy_object_8c.html#a1eb6c584b29789b9c360df2d769c22a8">ActionDeployObject</a>);</div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span>    }</div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span>}</div>
<div class="ttc" id="a_action_deploy_object_8c_html_a1eb6c584b29789b9c360df2d769c22a8"><div class="ttname"><a href="../../dc/d59/_action_deploy_object_8c.html#a1eb6c584b29789b9c360df2d769c22a8">ActionDeployObject</a></div><div class="ttdeci">PlaceObjectActionReciveData ActionReciveData ActionDeployObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d59/_action_deploy_object_8c_source.html#l00001">ActionDeployObject.c:9</a></div></div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00220">AdvancedCommunication.c:220</a></div></div>
<div class="ttc" id="a_item_base_8c_html_a0574524e0d80c1c2eced4a562a4e3e47"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#a0574524e0d80c1c2eced4a562a4e3e47">SetIsDeploySound</a></div><div class="ttdeci">void SetIsDeploySound(bool is_deploy_sound)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l09159">ItemBase.c:9159</a></div></div>
<div class="ttc" id="a_item_base_8c_html_a28cc789c567c999c2c94d87f6006e16a"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#a28cc789c567c999c2c94d87f6006e16a">CanPlayDeployLoopSound</a></div><div class="ttdeci">bool CanPlayDeployLoopSound()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l09196">ItemBase.c:9196</a></div></div>
<div class="ttc" id="a_item_base_8c_html_aba2d631a211d0bcf638311fe3507a82b"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#aba2d631a211d0bcf638311fe3507a82b">PlayDeploySound</a></div><div class="ttdeci">void PlayDeploySound()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l09169">ItemBase.c:9169</a></div></div>
<div class="ttc" id="a_item_base_8c_html_ad8e3dac9c85d36fb0fb0aae911640de7"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#ad8e3dac9c85d36fb0fb0aae911640de7">IsDeploySound</a></div><div class="ttdeci">bool IsDeploySound()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l09164">ItemBase.c:9164</a></div></div>
<div class="ttc" id="a_object_8c_html_a102e048d433b15db2c708466dea213f6"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a102e048d433b15db2c708466dea213f6">SetAllowDamage</a></div><div class="ttdeci">proto native void SetAllowDamage(bool val)</div><div class="ttdoc">Enable or disable object to receive damage.</div></div>
<div class="ttc" id="a_object_8c_html_a1e9dff40d480cad820892146a91dc68e"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a1e9dff40d480cad820892146a91dc68e">AddProxyPhysics</a></div><div class="ttdeci">proto native void AddProxyPhysics(string proxySelectionName)</div></div>
<div class="ttc" id="a_object_8c_html_a929ad754f98dcd6c9d8a5397f7fda5b6"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a929ad754f98dcd6c9d8a5397f7fda5b6">DecreaseHealth</a></div><div class="ttdeci">proto native void DecreaseHealth(string zoneName, string healthType, float value)</div><div class="ttdoc">Decreases health.</div></div>
<div class="ttc" id="a_object_8c_html_ac654369164252566a49639d8d4e49bf3"><div class="ttname"><a href="../../dd/d93/_object_8c.html#ac654369164252566a49639d8d4e49bf3">RemoveProxyPhysics</a></div><div class="ttdeci">proto native void RemoveProxyPhysics(string proxySelectionName)</div></div>
<div class="ttc" id="a_object_8c_html_acb6b4cdbf129700cdb3f3103e8641e24"><div class="ttname"><a href="../../dd/d93/_object_8c.html#acb6b4cdbf129700cdb3f3103e8641e24">ToDelete</a></div><div class="ttdeci">proto native bool ToDelete()</div><div class="ttdoc">Flag to determine this object is marked to be deleted soon.</div></div>
<div class="ttc" id="a_object_8c_html_af52e22bb2e3b1317cad039ef707341ae"><div class="ttname"><a href="../../dd/d93/_object_8c.html#af52e22bb2e3b1317cad039ef707341ae">GetMaxHealth</a></div><div class="ttdeci">float GetMaxHealth()</div><div class="ttdoc">Equivalent of GetMaxHealth(&quot;&quot;, &quot;&quot;);.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d93/_object_8c_source.html#l00900">Object.c:900</a></div></div>
<div class="ttc" id="a_stamina_handler_8c_html_aff669510956ec2c2cc6c60ed37ca7d63"><div class="ttname"><a href="../../d5/d6b/_stamina_handler_8c.html#aff669510956ec2c2cc6c60ed37ca7d63">m_State</a></div><div class="ttdeci">protected float m_DrainThreshold protected bool m_State</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d6b/_stamina_handler_8c_source.html#l00020">StaminaHandler.c:20</a></div></div>
<div class="ttc" id="a_trap___trip_wire_8c_html_a25611e326fe1b4ab140780b9d9460044"><div class="ttname"><a href="../../d0/d4a/_trap___trip_wire_8c.html#a25611e326fe1b4ab140780b9d9460044">FOLDED</a></div><div class="ttdeci">enum eWireMaterial FOLDED</div></div>
<div class="ttc" id="a_trap_base_8c_html_a045f8057c23e1381de727ba2b84d7222"><div class="ttname"><a href="../../dd/dd8/_trap_base_8c.html#a045f8057c23e1381de727ba2b84d7222">m_DeployLoopSound</a></div><div class="ttdeci">protected ref EffectSound m_DeployLoopSound</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/_trap_base_8c_source.html#l00047">TrapBase.c:47</a></div></div>
<div class="ttc" id="a_underground_area_loader_8c_html_af4b5180d61f839c99de2d15fdcda4568"><div class="ttname"><a href="../../d3/d3a/_underground_area_loader_8c.html#af4b5180d61f839c99de2d15fdcda4568">GetPosition</a></div><div class="ttdeci">class JsonUndergroundAreaTriggerData GetPosition</div><div class="ttdoc">Retrieve position.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3a/_underground_area_loader_8c_source.html#l00001">UndergroundAreaLoader.c:9</a></div></div>
<div class="ttc" id="aclass_action_fold_object_html"><div class="ttname"><a href="../../dd/d56/class_action_fold_object.html">ActionFoldObject</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dff/_action_fold_object_8c_source.html#l00001">ActionFoldObject.c:2</a></div></div>
<div class="ttc" id="aclass_action_toggle_place_object_html"><div class="ttname"><a href="../../d8/d94/class_action_toggle_place_object.html">ActionTogglePlaceObject</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/daf/_action_toggle_place_object_8c_source.html#l00001">ActionTogglePlaceObject.c:2</a></div></div>
<div class="ttc" id="aclass_c_game_html_a7335240a0050f90194879c87f728ce0d"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a7335240a0050f90194879c87f728ce0d">CGame::IsSurfaceDigable</a></div><div class="ttdeci">bool IsSurfaceDigable(string surface)</div><div class="ttdoc">Checks if the surface is digable.</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6e/_global_2game_8c_source.html#l01056">Game.c:1056</a></div></div>
<div class="ttc" id="aclass_c_game_html_aa5228e7728b05de27b58e54bbf2995db"><div class="ttname"><a href="../../d2/de6/class_c_game.html#aa5228e7728b05de27b58e54bbf2995db">CGame::SurfaceGetType</a></div><div class="ttdeci">proto void SurfaceGetType(float x, float z, out string type)</div></div>
<div class="ttc" id="aclass_effect_sound_html"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html">EffectSound</a></div><div class="ttdoc">Wrapper class for managing sound through SEffectManager.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00004">EffectSound.c:5</a></div></div>
<div class="ttc" id="aclass_effect_sound_html_aba775f922c1ae706e7ac100750786cff"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html#aba775f922c1ae706e7ac100750786cff">EffectSound::SetSoundFadeOut</a></div><div class="ttdeci">void SetSoundFadeOut(float fade_out)</div><div class="ttdoc">Set the sound fade out duration.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00870">EffectSound.c:870</a></div></div>
<div class="ttc" id="aclass_effect_sound_html_abf2e5207cf74b01295801ff9cbc6f7cd"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html#abf2e5207cf74b01295801ff9cbc6f7cd">EffectSound::IsSoundPlaying</a></div><div class="ttdeci">bool IsSoundPlaying()</div><div class="ttdoc">Get whether EffectSound is currently playing.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00265">EffectSound.c:265</a></div></div>
<div class="ttc" id="aclass_effect_sound_html_afb3e761198a4167f611442d60925e1e7"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html#afb3e761198a4167f611442d60925e1e7">EffectSound::SoundStop</a></div><div class="ttdeci">void SoundStop()</div><div class="ttdoc">Stops sound.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00211">EffectSound.c:211</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_inventory___base_html"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html">Inventory_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/daf/_barbed_baseball_bat_8c_source.html#l00001">BarbedBaseballBat.c:2</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_a040235311cd5f55e7e759ed6332e2cad"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#a040235311cd5f55e7e759ed6332e2cad">Inventory_Base::HasProxyParts</a></div><div class="ttdeci">override bool HasProxyParts()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00028">HescoBox.c:28</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_a0526bb4680a95faf4ef65362839e864e"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#a0526bb4680a95faf4ef65362839e864e">Inventory_Base::~HescoBox</a></div><div class="ttdeci">void ~HescoBox()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00023">HescoBox.c:23</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_a0ad6193cf9919058ae4248c4985b067c"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#a0ad6193cf9919058ae4248c4985b067c">Inventory_Base::Fill</a></div><div class="ttdeci">void Fill()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00178">HescoBox.c:178</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_a13729b5326e35f654f27b9d09de31695"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#a13729b5326e35f654f27b9d09de31695">Inventory_Base::SetState</a></div><div class="ttdeci">void SetState(int state)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00079">HescoBox.c:79</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_a14885f6e50a8cd3c455c02c458b6e5ee"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#a14885f6e50a8cd3c455c02c458b6e5ee">Inventory_Base::CanBeFilledAtPosition</a></div><div class="ttdeci">bool CanBeFilledAtPosition(vector position)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00084">HescoBox.c:84</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_a16482087634df6b3a49d0d766a55072f"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#a16482087634df6b3a49d0d766a55072f">Inventory_Base::PlayDeployLoopSound</a></div><div class="ttdeci">void PlayDeployLoopSound()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00265">HescoBox.c:265</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_a1772f811f37cb8588580d4fc4d567a16"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#a1772f811f37cb8588580d4fc4d567a16">Inventory_Base::Fold</a></div><div class="ttdeci">void Fold()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00104">HescoBox.c:104</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_a1fd22ae03cc5b955c1c5a32f3fbe315d"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#a1fd22ae03cc5b955c1c5a32f3fbe315d">Inventory_Base::CanBeManipulated</a></div><div class="ttdeci">bool CanBeManipulated()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00092">HescoBox.c:92</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_a2ca4214d2c268fca1d5cee039362f864"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#a2ca4214d2c268fca1d5cee039362f864">Inventory_Base::OnPlacementComplete</a></div><div class="ttdeci">override void OnPlacementComplete(Man player, vector position=&quot;0 0 0&quot;, vector orientation=&quot;0 0 0&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00238">HescoBox.c:238</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_a378d60b17345118ff452f2bb626cb9ee"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#a378d60b17345118ff452f2bb626cb9ee">Inventory_Base::StopDeployLoopSound</a></div><div class="ttdeci">void StopDeployLoopSound()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00276">HescoBox.c:276</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_a42ae7353a746c59b8584bc6322b8c66b"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#a42ae7353a746c59b8584bc6322b8c66b">Inventory_Base::IsDeployable</a></div><div class="ttdeci">override bool IsDeployable()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00250">HescoBox.c:250</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_a4c43323490d8b91830f823f96a67582a"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#a4c43323490d8b91830f823f96a67582a">Inventory_Base::OnStoreLoad</a></div><div class="ttdeci">override bool OnStoreLoad(ParamsReadContext ctx, int version)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00203">HescoBox.c:203</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_a5763220a7fd6003b80592fa92e14a726"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#a5763220a7fd6003b80592fa92e14a726">Inventory_Base::m_Timer</a></div><div class="ttdeci">ref Timer m_Timer</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00008">HescoBox.c:8</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_a5d8e112fe75483587a8fb075f326da23"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#a5d8e112fe75483587a8fb075f326da23">Inventory_Base::CanPutIntoHands</a></div><div class="ttdeci">override bool CanPutIntoHands(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00033">HescoBox.c:33</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_a5eb214d0667f813974f870e243ae5aa3"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#a5eb214d0667f813974f870e243ae5aa3">Inventory_Base::Unfold</a></div><div class="ttdeci">void Unfold()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00122">HescoBox.c:122</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_a64c976dc211e9fd7145aba4af4fbb712"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#a64c976dc211e9fd7145aba4af4fbb712">Inventory_Base::HescoBox</a></div><div class="ttdeci">void HescoBox()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00013">HescoBox.c:13</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_a6bfedea62457ff87cdb387dc9802fe9d"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#a6bfedea62457ff87cdb387dc9802fe9d">Inventory_Base::UNFOLDED</a></div><div class="ttdeci">static const int UNFOLDED</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00004">HescoBox.c:4</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_a6f0c61ae43c196849f24b6691d9f13d5"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#a6f0c61ae43c196849f24b6691d9f13d5">Inventory_Base::m_State</a></div><div class="ttdeci">protected int m_State</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00011">HescoBox.c:11</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_a7377d31b479c2f7a16740b429bf5daab"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#a7377d31b479c2f7a16740b429bf5daab">Inventory_Base::FOLDED</a></div><div class="ttdeci">static const int FOLDED</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00003">HescoBox.c:3</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_a848487006ac34ff822035ca4fea0bb13"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#a848487006ac34ff822035ca4fea0bb13">Inventory_Base::Synchronize</a></div><div class="ttdeci">void Synchronize()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00042">HescoBox.c:42</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_a8e35a699124bd78bcabe3616a1a2f284"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#a8e35a699124bd78bcabe3616a1a2f284">Inventory_Base::RefreshPhysics</a></div><div class="ttdeci">override void RefreshPhysics()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00147">HescoBox.c:147</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_a8fcce0543c647867bc5ac384d135e5e3"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#a8fcce0543c647867bc5ac384d135e5e3">Inventory_Base::OnVariablesSynchronized</a></div><div class="ttdeci">override void OnVariablesSynchronized()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00047">HescoBox.c:47</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_a96152d687d0418546cb1032a1100b10c"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#a96152d687d0418546cb1032a1100b10c">Inventory_Base::OnStoreSave</a></div><div class="ttdeci">override void OnStoreSave(ParamsWriteContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00195">HescoBox.c:195</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_a9ef11033331260ecdc4634d9fed6cdca"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#a9ef11033331260ecdc4634d9fed6cdca">Inventory_Base::GetDeploySoundset</a></div><div class="ttdeci">override string GetDeploySoundset()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00255">HescoBox.c:255</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_aa3df06207ce0e9450b7f3a648d785afd"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#aa3df06207ce0e9450b7f3a648d785afd">Inventory_Base::RefreshVisuals</a></div><div class="ttdeci">void RefreshVisuals()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00070">HescoBox.c:70</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_ab276371c303e52e9fefa7040349b42be"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#ab276371c303e52e9fefa7040349b42be">Inventory_Base::m_DeployLoopSound</a></div><div class="ttdeci">ref protected EffectSound m_DeployLoopSound</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00009">HescoBox.c:9</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_ab2d29f1100dbebcf9499825c744f3f4b"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#ab2d29f1100dbebcf9499825c744f3f4b">Inventory_Base::GetState</a></div><div class="ttdeci">int GetState()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00074">HescoBox.c:74</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_ac553c3cba8097bd3a154b1be2f30aa2f"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#ac553c3cba8097bd3a154b1be2f30aa2f">Inventory_Base::FILLED</a></div><div class="ttdeci">static const int FILLED</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00005">HescoBox.c:5</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_ad80815bc032e707768f0b716d175b1f1"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#ad80815bc032e707768f0b716d175b1f1">Inventory_Base::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00285">HescoBox.c:285</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_ae19186b877d20ff2492a97c51bdf18f8"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#ae19186b877d20ff2492a97c51bdf18f8">Inventory_Base::GetLoopDeploySoundset</a></div><div class="ttdeci">override string GetLoopDeploySoundset()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00260">HescoBox.c:260</a></div></div>
<div class="ttc" id="aclass_inventory___base_html_ae792aa17e893efc60fb4d0690f425988"><div class="ttname"><a href="../../d7/d5d/class_inventory___base.html#ae792aa17e893efc60fb4d0690f425988">Inventory_Base::EEItemLocationChanged</a></div><div class="ttdeci">override void EEItemLocationChanged(notnull InventoryLocation oldLoc, notnull InventoryLocation newLoc)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d41/_hesco_box_8c_source.html#l00140">HescoBox.c:140</a></div></div>
<div class="ttc" id="aclass_inventory_location_html"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a></div><div class="ttdoc">InventoryLocation.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_inventory_location_8c_source.html#l00027">InventoryLocation.c:28</a></div></div>
<div class="ttc" id="aclass_s_effect_manager_html"><div class="ttname"><a href="../../d2/d03/class_s_effect_manager.html">SEffectManager</a></div><div class="ttdoc">Manager class for managing Effect (EffectParticle, EffectSound)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d4d/_effect_manager_8c_source.html#l00005">EffectManager.c:6</a></div></div>
<div class="ttc" id="aclass_s_effect_manager_html_aa05a7b24ec51456db8c32cf2e4b099ef"><div class="ttname"><a href="../../d2/d03/class_s_effect_manager.html#aa05a7b24ec51456db8c32cf2e4b099ef">SEffectManager::PlaySound</a></div><div class="ttdeci">static EffectSound PlaySound(string sound_set, vector position, float play_fade_in=0, float stop_fade_out=0, bool loop=false)</div><div class="ttdoc">Create and play an EffectSound.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d4d/_effect_manager_8c_source.html#l00165">EffectManager.c:165</a></div></div>
<div class="ttc" id="aclass_s_effect_manager_html_aec7ef95de317ab1011f04c6c5c496248"><div class="ttname"><a href="../../d2/d03/class_s_effect_manager.html#aec7ef95de317ab1011f04c6c5c496248">SEffectManager::DestroyEffect</a></div><div class="ttdeci">static void DestroyEffect(Effect effect)</div><div class="ttdoc">Unregisters, stops and frees the Effect.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d4d/_effect_manager_8c_source.html#l00267">EffectManager.c:267</a></div></div>
<div class="ttc" id="aclass_serializer_html"><div class="ttname"><a href="../../d0/dc2/class_serializer.html">Serializer</a></div><div class="ttdoc">Serialization general interface. Serializer API works with:</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc7/_serializer_8c_source.html#l00055">Serializer.c:56</a></div></div>
<div class="ttc" id="aclass_serializer_html_a3568bd9439217225013ea9906eb09a3f"><div class="ttname"><a href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Serializer::Write</a></div><div class="ttdeci">proto bool Write(void value_out)</div></div>
<div class="ttc" id="aclass_serializer_html_a9a38a9c5322133ee30fe87a3a4c0659e"><div class="ttname"><a href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Serializer::Read</a></div><div class="ttdeci">proto bool Read(void value_in)</div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00099">EnConvert.c:100</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../dd/d41/_hesco_box_8c.html">HescoBox.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
